opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CvVSModule Class Referenceabstract

`#include <blobtrack.hpp>`

Inheritance diagram for CvVSModule:

## Public Member Functions
| CvVSModule ()
char * | GetModuleName ()
const char * | GetNickName ()
double | GetParam (const char *name)
const char * | GetParamComment (const char *name)
const char * | GetParamName (int index)
const char * | GetParamStr (const char *name)
const char * | GetTypeName ()
int | IsModuleName (const char *name)
int | IsModuleTypeName (const char *name)
virtual void | LoadState (CvFileStorage *, CvFileNode *)
virtual void | ParamUpdate ()
virtual void | Release ()=0
virtual void | SaveState (CvFileStorage *)
void | SetNickName (const char *pStr)
void | SetParam (const char *name, double val)
void | SetParamStr (const char *name, const char *str)
void | TransferParamsFromChild (CvVSModule *pM, const char *prefix=NULL)
void | TransferParamsToChild (CvVSModule *pM, char *prefix=NULL)
virtual | ~CvVSModule ()

## Protected Member Functions
void | AddParam (const char *name, double *pAddr)
void | AddParam (const char *name, float *pAddr)
void | AddParam (const char *name, int *pAddr)
void | AddParam (const char *name, const char **pAddr)
void | AddParam (const char *name)
void | CommentParam (const char *name, const char *pComment)
void | DelParam (const char *name)
int | IsParam (const char *name)
void | SetModuleName (const char *name)
void | SetTypeName (const char *name)

## Protected Attributes
int | m_Wnd

## Constructor & Destructor Documentation

CvVSModule::CvVSModule | ( |  | ) |

virtual CvVSModule::~CvVSModule | ( |  | ) |
| virtual

## Member Function Documentation

void CvVSModule::AddParam | ( | const char * | name,
|  | double * | pAddr
| ) |  |
| protected

void CvVSModule::AddParam | ( | const char * | name,
|  | float * | pAddr
| ) |  |
| protected

void CvVSModule::AddParam | ( | const char * | name,
|  | int * | pAddr
| ) |  |
| protected

void CvVSModule::AddParam | ( | const char * | name,
|  | const char ** | pAddr
| ) |  |
| protected

void CvVSModule::AddParam | ( | const char * | name | ) |
| protected

void CvVSModule::CommentParam | ( | const char * | name,
|  | const char * | pComment
| ) |  |
| protected

void CvVSModule::DelParam | ( | const char * | name | ) |
| protected

char* CvVSModule::GetModuleName | ( |  | ) |

const char* CvVSModule::GetNickName | ( |  | ) |

double CvVSModule::GetParam | ( | const char * | name | ) |

const char* CvVSModule::GetParamComment | ( | const char * | name | ) |

const char* CvVSModule::GetParamName | ( | int | index | ) |

const char* CvVSModule::GetParamStr | ( | const char * | name | ) |

const char* CvVSModule::GetTypeName | ( |  | ) |

int CvVSModule::IsModuleName | ( | const char * | name | ) |

int CvVSModule::IsModuleTypeName | ( | const char * | name | ) |

int CvVSModule::IsParam | ( | const char * | name | ) |
| protected

virtual void CvVSModule::LoadState | ( | CvFileStorage * | ,
|  | CvFileNode * |
| ) |  |
| virtual

virtual void CvVSModule::ParamUpdate | ( |  | ) |
| virtual

virtual void CvVSModule::Release | ( |  | ) |
| pure virtual

Implemented in CvBlobTrackerAuto, CvBlobTrackFVGen, CvBlobTrackAnalysis, CvBlobTrackPredictor, CvBlobTrackPostProcOne, CvBlobTrackPostProc, CvBlobTrackerOne, CvBlobTracker, CvBlobTrackGen, CvBlobDetector, and CvFGDetector.

virtual void CvVSModule::SaveState | ( | CvFileStorage * |  | ) |
| virtual

void CvVSModule::SetModuleName | ( | const char * | name | ) |
| protected

void CvVSModule::SetNickName | ( | const char * | pStr | ) |

void CvVSModule::SetParam | ( | const char * | name,
|  | double | val
| ) |  |

void CvVSModule::SetParamStr | ( | const char * | name,
|  | const char * | str
| ) |  |

void CvVSModule::SetTypeName | ( | const char * | name | ) |
| protected

void CvVSModule::TransferParamsFromChild | ( | CvVSModule * | pM,
|  | const char * | prefix = `NULL`
| ) |  |

void CvVSModule::TransferParamsToChild | ( | CvVSModule * | pM,
|  | char * | prefix = `NULL`
| ) |  |

## Member Data Documentation

int CvVSModule::m_Wnd
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp